PKGCTL-VERSION-SETUP(1)

NUME
pkgctl-version-setup - detectează și configurează automat o configurație de bază nvchecker

SINOPSIS

pkgctl version setup [OPȚIUNI] [BAZĂ_PACHET...]

DESCRIERE

Această subcomandă automatizează crearea unui fișier de configurare de bază nvchecker(1) prin analizarea matricei de surse specificate în fișierul PKGBUILD(1) al unui pachet. Această comandă detectează în mod inteligent diverse platforme și API-uri (de exemplu, GitHub, GitLab, PyPI) utilizate de sursele pachetului și generează o configurație .nvchecker.toml corespunzătoare pe baza celei mai bune presupuneri.

Această opțiune este deosebit de utilă pentru inițializarea configurărilor nvchecker(1) pentru un pachet fără a crea manual fișierul .nvchecker.toml. Aceasta simplifică procesul de configurare a verificărilor de versiune, în special la tranziția monitorizării unui pachet de la o platformă sursă la alta sau la începerea verificărilor de versiune pentru un nou pachet.

Dacă nu este specificat BAZĂ_PACHET, comanda utilizează în mod implicit directorul de lucru curent.

Pentru a obține o listă a surselor acceptate și a formatelor URL preconizate, consultați secțiunea Surse.

OPȚIUNI

-f, --force
    Suprascrie configurația nvchecker(1) existentă

--prefer-platform-api
    Preferă API GitHub/GitLab specific platformei în locul git pentru cazurile complexe

--url URL
    Determină ținta de verificare din URL-ul dat în loc de intrările din matricea sursă

--no-check
    Nu rulează pkgctl-version-check(1) dupa instalare

--no-upstream
    Definește o configurație goală pentru pachetele fără surse upstream, cum ar fi metapachetele. Acest lucru trebuie utilizat numai pentru cazurile fără surse în amonte, vă rugăm să contactați echipa de dezvoltatori pentru îndrumare cu privire la sursele în amonte care sunt greu de configurat.

-h, --help
    Afișează mesajul de ajutor

SURSE

Aici sunt prezentate platformele și sursele acceptate în prezent, împreună cu exemple de formate URL care permit detectarea lor automată ca tipuri de surse specifice:

Git

        •

        •

        • git://git.foobar.org/example

        • git+https://git.foobar.org/example

GitHub

        •

        •

GitLab

        •

        •

        •

Hackage

        •

        •

        •

NPM

        •

        •

PyPI

        •

        •

        •

        •

RubyGems

        •

        •

CPAN

        •

        •

crates.io

        •

        •

        •

EXEMPLE

pkgctl version setup
    Detectează sursa din directorul curent’s PKGBUILD(1) și creează un fișier de bază .nvchecker.toml.

pkgctl version setup --url
    Generează un .nvchecker.toml pentru PKGBUILD(1) curent, dar înlocuiește URL-ul sursă cu proiectul GitHub specificat.

CONSULTAȚI ȘI

pkgctl-version(1) pkgctl-version-check(1) nvchecker(1) PKGBUILD(5)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.